Fix declining an update

This commit is contained in:
David Heinemeier Hansson
2025-11-04 08:47:17 +01:00
parent 2498216a4f
commit 4391df6853
2 changed files with 6 additions and 7 deletions

View File

@@ -4,7 +4,8 @@ set -e
trap 'echo ""; echo -e "\033[0;31mSomething went wrong during the update!\n\nPlease review the output above carefully, correct the error, and retry the update.\n\nIf you need assistance, get help from the community at https://omarchy.org/discord\033[0m"' ERR trap 'echo ""; echo -e "\033[0;31mSomething went wrong during the update!\n\nPlease review the output above carefully, correct the error, and retry the update.\n\nIf you need assistance, get help from the community at https://omarchy.org/discord\033[0m"' ERR
omarchy-update-confirm if omarchy-update-confirm; then
omarchy-snapshot create || [ $? -eq 127 ] omarchy-snapshot create || [ $? -eq 127 ]
omarchy-update-git omarchy-update-git
omarchy-update-perform omarchy-update-perform
fi

View File

@@ -1,7 +1,5 @@
#!/bin/bash #!/bin/bash
set -e
gum style --border normal --border-foreground 6 --padding "1 2" \ gum style --border normal --border-foreground 6 --padding "1 2" \
"Ready to update Omarchy?" \ "Ready to update Omarchy?" \
"" \ "" \
@@ -10,5 +8,5 @@ gum style --border normal --border-foreground 6 --padding "1 2" \
if ! gum confirm "Continue with update?"; then if ! gum confirm "Continue with update?"; then
echo "Update cancelled" echo "Update cancelled"
exit 0 exit 1
fi fi